<script src="{{DIRURL}}js/carousel.js"></script>
<div id="{{collection.uuid}}" class="carousel carousel-fade slide" data-ride="carousel " data-interval="{{interval|default(0)}}">
	<div class="carousel-inner">
		[foreach items="{{collection.ids}}" as="media"]
		<div class="carousel-item overflow-hidden {{loop.index|class(0,active)}}">
			[image id="{{media.id}}" container_class="w-100 carousel-image" ][/image]
			[Editable field="post.{{media.id}}.caption_{{global.lang}}" tag="figcaption" container_class="caption {{image_caption_class}}"]{{media.caption}}[/Editable]
			
		</div>
		[/foreach]
	</div>
	<div class="color-white controls-container mb-4 pb-3 lh-100 w-100 bottom-image pos-absolute text-center">
		<ul class="carousel-indicators mb-5 vcenter pos-absolute">
		[foreach items="{{collection.ids}}"]
		<li data-target="#{{collection.uuid}}" data-slide-to="{{loop.index}}" class="rounded-circle mx-2 {{loop.index|class(0,active)}}"></li>
		[/foreach]
		</ul>
		[if var="{{global.lang}}" equal="ar"]
<a 
		class="control control-prev  carousel-control pos-absolute vcenter direct-0 mx-4 my-2" 
		href="#{{collection.uuid}}" 
		role="button" data-slide="prev" >
			<span class="icon-ff" aria-hidden="true"></span>
		</a>
		<a class="conrol control-next {{control_next_class|default(carousel-control pos-absolute vcenter opposite-0 mx-4 my-2  z-10)}}" 
		href="#{{collection.uuid}}" 
		role="button" data-slide="next">
			<span class="icon-rewind" aria-hidden="true"></span>
		</a>
		[else]
		<a 
		class="control control-prev  carousel-control pos-absolute vcenter direct-0 mx-4 my-2" 
		href="#{{collection.uuid}}" 
		role="button" data-slide="prev" >
			<span class="icon-rewind" aria-hidden="true"></span>
		</a>
		<a class="conrol control-next {{control_next_class|default(carousel-control pos-absolute vcenter opposite-0 mx-4 my-2  z-10)}}" 
		href="#{{collection.uuid}}" 
		role="button" data-slide="next">
			<span class="icon-ff" aria-hidden="true"></span>
		</a>
		[/if]
	</div>
	
</div>
<script>
		jQuery('#{{collection.uuid}}').on('slid.bs.carousel slide.vs.carousel', e=>ajustCarousel($('#{{collection.uuid}}')));
		ajustCarousel('#{{collection.uuid}}');
</script>
